﻿@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

:root {
    --font-primary: 'Montserrat', sans-serif;
    --font-secondary: 'Lato', sans-serif;
    --font-tertiary: 'Source Code Pro', monospace;
    --bg-main: rgb(238,238,238);
    --starr-color: rgb(45, 104, 196);
    --starr-alt-color: rgb(0, 90, 156);
    --starr-light: white;
    --starr-link-color: rgb(8, 92, 180);
    --toggle-button-color: rgb(45, 104, 196);
    --toggle-button-border-color: rgb(0, 66, 112);
    --toggle-button-font-color: white;
    --title-color: #025997;
    --title-size: 2.5rem;
    --grid-badge-background: #3b679e;
    --grid-box-shadow: #025997 0px 1px;
    --toolbar-background: rgb(246,248, 249);
    --toolbar-color: #212325;
    --authorization-background: #eee;
    --authorization-failure-background: #920000;
    --authorization-failure-color: white;
    --nav-base-color: rgba(17,68,119,.90);
    --nav-active-bacgkround: white;
    --nav-active-color: rgb(17,68,119);
    --nav-border-color: rgb(17,68,119); /* #B0C4DE; */
    --nav-hover-color: rgba(255,255,255,.90);
    --nav-active-border: 5px;
    --default-margin: .25rem;
    /* Specific to the application - others are general for base Telerik components */
    --chat-container-background: rgba(255,255,255,.90);
    --chat-footer-background: #eee;
    --ai-bubble-background: rgba(100, 149, 237, 0.10);
    --ai-bubble-foreground: #321E8F;
    --user-bubble-background: rgba(28, 58, 114, 0.85);
    --conversation-background: rgba(28, 58, 114, 0.35);
    --user-bubble-foreground: white; /*rgba(51, 106, 204, 1);*/
}

html, body {
    font-size: 1.0rem;
    font-family: var(--font-primary);
    background-attachment: fixed, scroll;
    /*background-size: cover;
    background-image: url("../images/3433814.jpg");*/
    background-color: #F8F8F8;
    max-width: 100%;
    width: 100%;
    overflow: hidden;
    margin:0;
    height:100%;
}

/* Set standard sizes for all headings using rem units */
h1 {
    font-size: 1.75rem !important; /* Approximately 40px */
    margin-top: 1rem;
    margin-bottom: 1rem;
    font-weight: 700;
    line-height: 1.2;
    color: #333;
}

h2 {
    font-size: 1.5rem !important; /* Approximately 32px */
    margin-top: 1rem;
    margin-bottom: 1rem;
    font-weight: 700;
    line-height: 1.3;
    color: #333;
}

h3 {
    font-size: 1.25rem !important; /* Approximately 28px */
    margin-top: 1rem;
    margin-bottom: 1rem;
    font-weight: 700;
    line-height: 1.3;
    color: #001F3F;
}
strong {
    color: darkslategray;
}

h4 {
    font-size: 1.0rem !important; /* Approximately 24px */
    margin-top: 1rem;
    margin-bottom: 1rem;
    font-weight: 700;
    line-height: 1.4;
    color: #333;
}

h5 {
    font-size: .85rem !important; /* Approximately 20px */
    margin-top: .5rem;
    margin-bottom: .5rem;
    font-weight: 700;
    line-height: 1.0;
    color: #333;
}

h6 {
    font-size: 1rem !important; /* Approximately 16px */
    margin-top: 1rem;
    margin-bottom: 1rem;
    font-weight: 700;
    line-height: 1.5;
    color: #333;
}

ol {
    margin-top:7px;
    margin-bottom:7px;   
}

li {
    margin-top:3px;
    margin-bottom:5px;
    margin-right:15px;    
}

.k-grid .k-grid-header .k-table, .k-grid .k-grid-content .k-table, .k-grid .k-grid-content-locked .k-table, .k-grid .k-grid-footer .k-table {
    font-family: 'Lato', sans-serif !important;
    border-color: inherit;
    font-size: .85rem !important;
}

.k-picker-solid {
    border-color: var(--nav-border-color, #dee2e6);
    color: var(--toolbar-color, #212529);
    background-color: var(--bg-main, #dee2e6);
}

    /* Override the selected state color for Kendo UI components */
    .k-selected,
    .k-state-selected,
    .k-picker-solid.k-selected,
    .k-picker-solid.k-state-selected {
        background-color: var(--starr-color, #2D68C4) !important; /* Replace with your desired color */
        color: var(--starr-light, white) !important; /* Ensure text is readable */
        border-color: var(--starr-alt-color, #005A9C) !important; /* Optional: border color */
    }

    /* Additional overrides for specific components if needed */
    .k-picker-solid .k-selected,
    .k-picker-solid .k-state-selected {
        background-color: var(--starr-color, #2D68C4) !important;
        color: var(--starr-light, white) !important;
        border-color: var(--starr-alt-color, #005A9C) !important;
    }

        /* Override hover state if necessary */
        .k-selected:hover,
        .k-state-selected:hover,
        .k-picker-solid.k-selected:hover,
        .k-picker-solid.k-state-selected:hover {
            background-color: var(--starr-alt-color, #005A9C) !important;
            color: var(--starr-light, white) !important;
        }


.subtle {
    opacity:.50;
}

.message-element {
    margin-top:3px;
    margin-bottom: 7px;
}

.nav-user {
    display: flex;
    align-items: center;
    border:none;
}

.fa-2x {
    padding-right: 10px;
}

.fa-1_5x {
    font-size: 1.5rem!important;
}

.k-window {   
    min-width: 450px !important;
}

.navbar-brand {
    color: var(--nav-base-color);
}

.navbar-grey {
    background-color: var(--bg-main);
}

.title {
    color: var(--title-color);
    font-size: var(--title-size);
    font-weight: bold;
}

.top-bar-divider {
    margin-top: 0;
    margin-bottom: var(--default-margin);
}

.bg-white {
    background-color:white;
    padding:4px;
    border: 1px solid #ccc;
}

.bg-offwhite {
    background-color: #F8F8F8;
}

.top-bar-layout {
    display: flex;
    flex-direction: row;
    justify-content: right;
    margin-top: var(--default-margin);
}

.scrollable-grid {
    overflow-x: auto; /* Enables horizontal scrolling */
    white-space: nowrap; /* Keeps the grid in a single horizontal line */
}

.parent-grid {
    font-size:.75rem !important;
}

.inner-grid {
    font-size:.75rem !important;
}

.btn-refresh, .btn-outline-secondary {
    height: 40px; /* Fixed height */
    width: 40px; /* Fixed width */
    padding: 8px 12px; /* Padding to ensure content is centered */
    font-size: 16px; /* Adjust font size as needed */
    /* Other styling rules */
}

pre {
    white-space: pre-wrap; /* CSS 2.1 */
    white-space: -moz-pre-wrap; /* Mozilla, since 1999 */
    white-space: -pre-wrap; /* Opera 4-6 */
    white-space: -o-pre-wrap; /* Opera 7 */
    word-wrap: break-word; /* Internet Explorer 5.5+ */
    text-transform: none; /* Ensuring no text transformations */
}

code.hljs {
    font-family: var(--font-tertiary);
    font-size: .85rem;
    overflow-x: auto;
    display: block;
    white-space: pre;
    border-radius: 4px;
}

pre code.hljs {   
    font-family: var(--font-tertiary);
    font-size: .85rem;
}

.center {
    display: block;
    margin-left: auto;
    margin-right: auto;
    width: 50%;
}

.collapsed-panel {
    width: 25px; /* or any desired width when collapsed */
}

.expanded-panel {
    width: 100%;
}

.inline-attachment-list {
    display: flex;
    flex-wrap: wrap;
    gap: 0.5rem;
    margin-bottom: 1rem;
}

.attachment-item {
    display: flex;
    align-items: center;
    padding: 0.5rem 1rem;
    background-color: #056290;
    color: #ffffff;
    border-radius: 5px;
    font-size: 0.75rem;
    cursor: pointer;
    border: 1px solid #444;
    min-width: 150px;
}

    .attachment-item i {
        /*font-size: 1rem;*/
        margin-right: 0.5rem;
    }

    .attachment-item:hover {
        background-color: #3a3a3a;
    }

.notes-container {
    overflow-y: auto;
    max-height: 45vh;
    margin-top: 10px;
    font-family: var(--font-tertiary);
    font-size:.85rem;
}

.k-window-content {
    overflow:hidden !important;
}

.note-header {
    background-color: #f8f9fa;
    padding: 8px 16px;
    font-weight: bold;
    color: darkslategray;
    border-bottom: 1px solid #ccc;
    display: flex;
    align-items: center;
}

.note-details {
    padding: 4px;
    background-color: #fff;
}

.document-list {
    list-style: none;
    padding-left: 20px;
    margin-top: 2px;
    margin-bottom: 0;
}

.document-item {
    padding: 2px 0;
    margin-left:10px;
}

.select-all-bar {
    padding: 10px;
    background-color: #e9ecef;
    border-bottom: 1px solid #dee2e6;
    text-align: left;
}

.authorization-message {
    font-size: .75rem;
    background: var(--authorization-background);
    padding: 12px 8px 12px 8px;
    border-top: 1px dashed #eee;
    border-bottom: 1px dashed #eee;
    margin-top: 0;
}

.authorization-failure-message {
    font-size: .75rem;
    background-color: var(--authorization-failure-background);
    color: var(--authorization-failure-color);
    padding: 12px 8px 12px 8px;
    border-top: 1px dashed #004270;
    border-bottom: 1px dashed #004270;
    margin-top: 0px;
}

.file-selected-counter {
    margin-left:7px;
    font-family: var(--font-tertiary);
    font-size: .85rem;
    color: var(--starr-color);
}

.suggestion {
    border: 1px solid #ccc;
    border-radius: 15px;
    padding: 10px;
    cursor: pointer;
    transition: background-color 0.3s; /* Smooth transition for background color */
}

    .suggestion:hover {
        background-color: #f0f0f0; /* Light grey color on hover */
    }

    .suggestion:active {
        background-color: #e0e0e0; /* Darker grey to simulate button press */
    }


.suggestion-title {
    font-size: .75rem;
    font-weight:bold;
}

.suggestion-description {
    font-size: .85rem;
}

.btn-left-align {
    display: flex;
    align-items: center;
    justify-content: flex-start;
}

.flex-container {
    display: flex;
    width: 100%;
    border:none;
}

.left-column {
    flex-basis: 20%;
    /* If you want some spacing between columns */
    padding-right: 5px;
    min-width:325px;
    max-width:385px;
}

.left-column-collapsed {
    flex-basis: 50px;
    padding-right: 5px;
}

.right-column-expanded {
    flex-basis: 100%;
    padding-left: 5px;
    padding-right: 10px;
    padding-top: 7px;
}

.right-column {
    flex-basis: 80%;
    /* If you want some spacing between columns */
    padding-left: 5px;
    padding-right: 10px;
    padding-top:7px;
}

.claim-select {
    border-color:#eee;
    padding:7px;    
    font-size:.85rem;
    width:175px;
    appearance: auto !important;
}

.chat-footer {
    border: none;
    background-color: white; /* var(--chat-footer-background);*/
    padding: 1rem;
    flex-shrink: 0; /* Prevents the item from shrinking smaller than its content or height */
    flex-basis: 50px; /* Explicitly sets the initial main size of the flex item */
}

.chat-container {
    display: flex;
    flex-direction: column;
    height: calc(100vh - 21px);
    border: none;    
}

.ecs-chat-container {
    display: flex;
    flex-direction: column;
    /*height: 100vh;*/ /* Fill the viewport height */
    border: none;
    overflow: hidden; /* Prevent scrolling */
}


.chat-body {
    flex-grow: 1;
    overflow-y:auto;
    background-color: var(--chat-container-background);
    box-sizing: border-box;
}

.user-info-wrapper {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.user-details {
    display: flex;
    align-items: center;
}

.chat-content {
    padding: 1rem;
    max-width: 1000px;     
    margin:auto;    
}

.chat-header {
    display: flex;
    justify-content:space-between;
    align-items:center;
    border:none;
    margin-bottom:1px;
    height: 65px;    
    background: white;
    font-size:1rem;
    margin-left:3px;
}

.chat-message {
    border-radius: 15px;    
    max-width: 100%;
    white-space: normal;
    display: inline-block;
    text-align: left;
}

.generate-doc-btn {
    position: absolute;
    top: 10px; /* Adjust as needed */
    right: 10px; /* Adjust as needed */
    margin-top:7px;
    margin-right:22px;
}

.reference-container {
    padding-top:35px;
}

.reference-header {
    border-radius:10px;
    background-color:aliceblue;
    font-weight:600;
    color: slategray;
}

.custom-textarea,
.custom-textarea:focus,
.custom-textarea:hover,
.custom-textarea:active {
    resize: vertical;
    max-height: 200px;
    min-height: 75px;
    height: auto;
    overflow-y: auto;
    border: none;
    outline: none;
    width: auto; /* Full width to fill flex container */
    margin-right: 0; /* Or any space you prefer between textarea and button */
    flex: 1; /* Take up available space */
    resize: none;
}
.tiny-icon {
    height:26px;
    width:26px;
    opacity:.80;
}

.upload-icon {
    cursor: pointer;
}

.employee-icon {
    height:26px;
    width:26px;
    opacity:.90;
}

.summaries-container {
    flex: .75;
    flex-direction: column; /* Stack children vertically */
}

.conversation-file-name {
    width: 200px; /* Adjust this width as needed */
    white-space: nowrap;
    overflow: hidden;
    padding-top:5px;
}

.truncate {
    display: inline-block;
    max-width: 100%;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.mirage {
    border:1px solid #ccc;
    padding: 15px;
    flex:.65;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);
    margin-bottom:7px;
}

.submit-button {
    padding: 0;
    height: 38px;
    width: 38px;
    margin: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: background-color 0.3s;
    position: relative;
}

    .submit-button svg {
        stroke: grey;
        stroke-width: 2;
        transition: stroke 0.3s;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        width: 24px;
        height: 24px;
    }

    .submit-button:hover {
        background-color: #6050A1;
    }

        .submit-button:hover svg {
            stroke: white;
        }

.custom-file-upload {
    display:flex;
    align-items:center;
    justify-content:center;
    cursor: pointer;
    padding-left:5px;
    padding-right:5px;
    border:1px solid #eee;
    border-radius:4px;
    margin-right:1px;
    height:107px;
    margin-top:-9px;
    transition: background-color 0.3s;
    box-shadow: 0px 4px 8px rgba(0,0,0,0.1);
}

    .custom-file-upload:hover {
        background-color: #FAD961;
    }

.btn-submit {
    color: var(--user-bubble-background); /* The text color of the button */
    background-color: transparent; /* Transparent background */
    background-image: none; /* No background image */
    border: none; /* Border color matching the text color */
    padding: .375rem .75rem; /* Bootstrap's default padding for buttons */
    font-size: 1rem; /* Default font size for buttons */
    line-height: 1.5; /* Default line height for buttons */
    border-radius: .25rem; /* Default border-radius for buttons */
    transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out; /* Smooth transition for hover effects */
}

    .btn-submit:hover {
        color: #fff; /* Text color on hover */
        background-color: #6050A1; /* Background color on hover */
        border-color: #6c757d; /* Border color on hover */
    }

    .btn-submit:focus, .btn-submit.focus {
        box-shadow: 0 0 0 0.2rem rgba(108, 117, 125, 0.5); /* Focus box shadow */
    }

    .btn-submit.disabled, .btn-submit:disabled {
        color: #6c757d; /* Text color for disabled state */
        background-color: transparent; /* Background for disabled state */
        border-color: #6c757d; /* Border color for disabled state */
    }

.btn-outline-starr {
    color: var(--starr-color);
    border-color: var(--starr-color);
}
    .btn-outline-starr:hover {
        color: #fff;
        background-color: var(--starr-color);
        border-color: var(--starr-color);
    }

.btn-starr {
    color: #fff;
    background-color: var(--starr-color);
    border-color: var(--starr-color);
}

    .btn-starr:hover {
        color: #fff;
        background-color: var(--starr-alt-color);
        border-color: var(--starr-alt-color);
    }


.btn-package {
    display: inline-block;
    font-weight: 400;    
    color: white; /* This is a typical text color */
    text-align: center;  
    max-width:450px;
    vertical-align: middle;
    user-select: none; /* Prevents text selection */
    background-color: var(--starr-color); /* No background color by default */
    border: 1px solid transparent; /* Transparent border by default */
    padding: 0.375rem 0.75rem; /* Padding inside the button */
    font-size: .85rem; /* Default font size */
    line-height: 1.5; /* Line height for the text inside the button */
    border-radius: 0.25rem; /* Rounded corners */
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out; 
    margin-right:25px;
}

    .btn-package:hover {
        color: white;
        text-decoration: none;
        background-color: #0d6efd;
    }

    .btn-package:focus {
        outline: 0;
        box-shadow: 0 0 0 0.2rem rgba(0, 123, 255, 0.25);
    }

    .btn-package.disabled, .btn-package:disabled {
        opacity: 0.65;
        pointer-events:none;
    }


.blinking-cursor {
    display: inline-block;
    width: 2px;
    height: 1em;
    background-color: #000;
    vertical-align: bottom;
    animation: blink-animation 1s steps(5, start) infinite;
}

@keyframes blink-animation {
    from {
        visibility: visible;
    }

    to {
        visibility: hidden;
    }
}


@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.cursor-spinner {
    display: inline-block;
    border: 2px solid transparent;
    border-top-color: #333; /* Change color as needed */
    border-radius: 50%;
    width: 10px;
    height: 10px;
    margin-left: 5px;
    animation: spin 1s linear infinite;
}

.assistant-options {
    display: flex; /* Enable flexbox */
    justify-content: flex-end; /* Align children to the right */
    padding-bottom: 25px;
    margin-top: -15px;
    margin-right: -20px; /* Adjusted to right-align */
}

.btn-assistant-icon {
    width: 40px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    display: flex;
    margin-right: 25px; /* Ensure consistent margin on the right if needed */
}

    .btn-assistant-icon:hover {
        background-color: rgba(0, 0, 0, 0.05); /* Light hover effect, adjust as needed */
    }


.chat-bubble {
    margin-top: 7px;
    position: relative;
    transition: all 0.3s;
    overflow-x: auto; /* Display horizontal scrollbar if content overflows */
    white-space: nowrap; /* Ensure content doesn't wrap to the next line */
    max-width: 1000px;
}
.chat-bubble-loader {
    padding-bottom:15px;
}

.code-title-bar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: lightgray;
    padding: 5px 10px;
    border-top-left-radius: 15px;
    border-top-right-radius: 15px;
    border-top: 1px solid #ddd;
    border-bottom: 0;
    min-width:874px;
}

    .code-title-bar button {
        background-color: var(--user-bubble-background);
        color: #fff;
        font-size:10pt;
        margin-top:2px;
        margin-bottom:2px;
        border-radius:15px;
        border: none;
        padding: 5px 10px;
        cursor: pointer;
      
    }

        .code-title-bar button:hover {
            background-color: #0056b3;
        }

.conversation {
    display: flex;
    color: #36454F;
    align-items: center;
    font-size: .85rem;
    font-family: var(--font-secondary);
    padding-top: 6px;
    padding-bottom: 7px;
    margin-left: -5px;
    border-radius: 10px;
    cursor: pointer;
    margin-bottom: 1px;
    height:44px;
    min-height:44px;
    max-height: 44px;
}

    .conversation:hover {
        background-color: #6050A1;
        color: white;
    }

.conversation-card.conversation-card-selected,
.conversation-card-selected {
    background-color: rgba(61, 87, 135, .80);
    color: var(--user-bubble-foreground);
}

    .conversation-card.conversation-card-selected::before,
    .conversation-card-selected::before {
        background-color: var(--user-bubble-background);
    }

    .conversation-card.conversation-card-selected:hover,
    .conversation-card-selected:hover {
        background-color: var(--user-bubble-background);
        color: var(--user-bubble-foreground);
        box-shadow: 0px 8px 16px rgba(0, 0, 0, 0.3);
    }

.conversation-file-icon {
    margin-left: 7px;
    margin-bottom: 4px;
    width: 24px;
}

.conversation-file-name {
    flex-grow: 1;
}

.conversation-options {
    display: flex;
    align-items: center;
}

.options-button {
    background-color: rgba(12,21,122,.25);
    border: 1px solid rgba(45, 104, 196, .44);
    border-radius:7px;
    color: white;
    width:35px;
    font-size: 1rem;
    font-weight:bold;
    margin-right: 14px;
    margin: 0;
    height: 75%;
    cursor: pointer;
}

    .options-button:hover {
        color: #6050A1;
    }

.attachment-button {
    padding: 0;
    height: 38px;
    width: 38px;
    margin: 0;
    top: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: background-color 0.3s;
    position: relative;
}

    .attachment-button svg {
        stroke: #36454F;
        stroke-width: 1.5;
        transition: stroke 0.3s;
        position: absolute;
        top: 15px;
        left: 17px;
        transform: translate(-50%, -50%);
        width: 16px;
        height: 26px;
    }

    .attachment-button:hover {
        background-color: #6050A1;
    }

        .attachment-button:hover svg {
            stroke: white;
        }

.session-card {
    border: none;
    padding: 7px;
    white-space: nowrap;
    word-wrap: break-word;
    overflow-wrap: break-word;
    margin-bottom: 5px;
    position: relative;
    cursor: pointer;
    white-space: normal;
    transition: box-shadow 0.3s ease; /* Removed transform from transitions */
}

    .session-card:hover {
        background-color: #6050A1;
        color: #fff;
        box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);
    }

    .session-card.session-card-selected {
        background-color: var(--user-bubble-background);
        color: var(--user-bubble-foreground);
    }

        .session-card.session-card-selected:hover {
            background-color: var(--user-bubble-background);
            color: var(--user-bubble-foreground);
            box-shadow: 0px 8px 16px rgba(0, 0, 0, 0.3); /* More pronounced shadow */
        }



.session-card-selected {
    background-color: var(--user-bubble-background);
    color: var(--user-bubble-foreground);
}

.session-card-title {
    font-weight: bold;
    font-size: .85rem;
    /*text-transform:uppercase;*/
}

.session-card-icons {
    display: none; /* Hide the icons by default */
    position: absolute;
    bottom: 1px;
    right: 0px;
    padding: 2px 7px 2px 7px;
    background: rgba(7, 42, 78, .50);
}

.session-card:hover .session-card-icons {
    display: block; /* Show the icons when the session-card is hovered */
}

.session-card-icons .fa {
    margin-left: 2px;
    cursor: pointer;
}


.session-card .session-card-icons i {
    font-size: 20px;
    cursor: pointer;
    color: #ccc;
    transition: color 0.2s ease, transform 0.2s ease; /* Smooth transitions for color and transform */
}

.sesion-card .sesion-card-icons .fa-edit {
    margin-top: 2px !important;
}

.session-card .session-card-icons .fa-edit:hover {
    color: #4a90e2; /* A shade darker than the default edit icon blue */
    transform: scale(1.1);
}

.session-card .session-card-icons .fa-trash:hover {
    color: #e94e77; /* A shade darker than the default trash icon red */
    transform: scale(1.1);
}

.session-context-menu {
    /* Styling for your context menu */
    position: absolute;
    border: 1px solid #ccc;
    background-color: white;
}

    .session-context-menu ul {
        list-style: none;
        padding: 0;
        margin: 0;
    }

        .session-context-menu ul li {
            padding: 5px 10px;
            cursor: pointer;
        }

            .session-context-menu ul li:hover {
                background-color: #f0f0f0;
            }


.edit-input {
    border: none;
    border-bottom: 1px solid #ccc;
    
    /*border: 1px solid white;*/
    background: transparent;
    outline: none;
    width: 90%; /* Adjust as needed */
    font-weight: bold;
    color: lightcyan;
}

.title-bar-title {
    font-size:10pt;
    font-weight:500;
}

.session-token {
    font-size:.75rem;
    font-family: var(--font-tertiary);
}

.session-subtitle {
    font-family: var(--font-tertiary);
    font-size:.75rem;
}

.user-message {
    font-size: 1rem !important;
    font-family: var(--font-secondary);
    padding-bottom:25px;
}

.ai-message {
    font-size: .90rem !important;
    font-family: var(--font-primary);
}

.dialog-message-container {
    padding: 25px;
}

.dialog-title {
    font-weight: bold;
    font-family: var(--font-primary);
    font-size: 1.25rem;    
}

.dialog-description {
    font-family: var(--font-primary);
    font-size: .95rem;
    color: rgb(17,68,119) !important;
    padding-left: 25px;
    padding-right: 25px;
}

.dialog-proceed-message {
    font-family: var(--font-primary);
    font-size: .85rem;
    color: rgb(17,68,119) !important;    
}

.error-list-title {
    font-weight: bold;
    color: darkred;
    font-size: .90rem;
}

.dialog-list {
    list-style-type: circle;   
    font-weight:bold;
    color: darkred;   
}

.dialog-list-item {
    font-family: var(--font-tertiary);
    font-size: .85rem;    
    margin: 5px 0;
}

.dialog-buttons-container {
    display: flex;
    justify-content: flex-end;
    gap: 10px;
    margin-top: 20px;
}

.dialog-button {
    max-width: 150px;
    padding: 10px 20px;
    font-size: 14px;
    border-radius: 5px;
    background-color: rgb(17, 68, 119) !important;
    color: white !important;
    border: none;
    cursor: pointer;
    transition: background-color 0.3s ease, transform 0.1s ease;
}

    .dialog-button:hover {
        background-color: rgb(14, 55, 97) !important; /* Slightly darker shade for hover effect */
    }

    .dialog-button:active {
        background-color: rgb(10, 40, 70) !important; /* Even darker shade for active effect */
        transform: scale(0.98); /* Slightly scale down the button on mouse down */
    }

    .dialog-button:disabled,
    .dialog-button[disabled] {
        background-color: rgb(150, 150, 150) !important; /* Gray color for disabled state */
        color: rgb(200, 200, 200) !important; /* Light gray text color for disabled state */
        cursor: not-allowed;
        transform: none; /* Ensure no scaling effect on disabled buttons */
    }


.control-panel-card {
    border: none; /* 1px solid #dee2e6;*/
    /*border-radius: .25rem;    */
    display: flex;
    flex-direction: column;
    background-color: #ffffff;
    position: relative;
}

.control-panel-card-header {
    padding: .75rem 1.25rem;
    background-color:white; /* #f5f5f5; */
    border:none;
   /* border-bottom: 1px solid #dee2e6;
    border-top-left-radius: .25rem;
    border-top-right-radius: .25rem;*/
}

.control-panel-card-body {
    flex: 1;
    padding: .50rem;
    overflow-y: auto;
    border:none;
}

.control-panel-card-footer {
    padding: .75rem 1.25rem;
    background-color: #f5f5f5;
    border:none;
    /*border-top: 1px solid #dee2e6;
    border-bottom-left-radius: .25rem;
    border-bottom-right-radius: .25rem;*/
}

.control-panel-footer {
    border:none;
}

.control-panel-card-header {
    display: flex;
    justify-content: space-between;
    align-items: center; /* To vertically center the title and button */
    border: none;
}

.control-panel-header .btn {
    margin-right: 5px;
}

    .control-panel-header .btn:last-child {
        margin-right: 0;
    }

/* Additional style to reduce button padding */
.btn-refresh {
    padding-top: 4px;
    padding-bottom:4px;
}
.icon-shift-down {
    margin-top:5px;
}

.control-panel-footer {
    margin-top:2px;
    background-color: white;   
    margin-bottom: 10px;
    padding-top:7px;
    padding-bottom:7px;
    padding-left:15px;
    border: 1px solid #eee;
}

.custom-container-full-dock {
    min-height: calc(100vh - 70px);
    max-height: calc(100vh - 70px);
}

.custom-btn {
    display: inline-block;
    font-weight: 400;
    color: #212529;
    text-align: center;
    vertical-align: middle;
    user-select: none;
    background-color: #6c757d;
    border: 1px solid #6c757d;
    padding: .375rem .75rem;
    font-size: 1rem;
    line-height: 1.5;
    border-radius: .25rem;
    cursor: pointer;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

    .custom-btn:hover {
        background-color: #5a6268;
        border-color: #545b62;
    }

.chat-control-panel-loader-container {
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(255, 255, 255, 0.8); /* semi-transparent white */
    z-index: 10;
}

.chat-control-panel-loader {
    border: 8px solid #f3f3f3; /* Light grey */
    border-top: 8px solid #3498db; /* Blue */
    border-radius: 50%;
    width: 50px;
    height: 50px;
    animation: spin 1s linear infinite;
}

.toggle-switch-container {
    margin-top: 7px;
    margin-bottom: 7px;
    display: flex;
    align-items: center;
    cursor: pointer;
    border: 2px solid #ddd;
    border-radius: 25px;
    overflow: hidden;
    width: 250px; /* Retained Increased Width */
    height: 40px; /* Reduced Height */
    transition: opacity 0.3s ease;
}

    .toggle-switch-container.disabled {
        pointer-events: none; /* Prevent all click events */
        opacity: 0.5; /* Reduced opacity to visually indicate it is disabled */
    }

.model-label {
    flex: 1;
    text-align: center;
    padding: 12px 30px; /* Adjusted Padding to align text and icon vertically */
    transition: background-color 0.3s ease;
}

    .model-label i {
        margin-right: 10px; /* Retained Increased Spacing between the icon and the label */
    }

.left-selected .model-label-left,
.right-selected .model-label-right {
    background-color: var(--user-bubble-background);
    color: #fff;
}

.model-label-left:hover,
.model-label-right:hover {
    background-color: cornflowerblue; /* Retained subtle hover effect */
}

::-webkit-scrollbar {
    height: 1rem;
    width: .5rem
}

    ::-webkit-scrollbar:horizontal {
        height: .5rem;
        width: 1rem
    }

::-webkit-scrollbar-track {
    background-color: transparent;
    border-radius: 9999px
}

::-webkit-scrollbar-thumb {
    --tw-border-opacity: 1;
    background-color: rgba(217,217,227,.8);
    border-color: rgba(255,255,255,var(--tw-border-opacity));
    border-radius: 9999px;
    border-width: 1px
}

    ::-webkit-scrollbar-thumb:hover {
        --tw-bg-opacity: 1;
        background-color: rgba(217,217,227,var(--tw-bg-opacity))
    }

.dark ::-webkit-scrollbar-thumb {
    background-color: hsla(0,0%,100%,.1)
}

    .dark ::-webkit-scrollbar-thumb:hover {
        background-color: hsla(0,0%,100%,.3)
    }

@media (min-width:768px) {
    .scrollbar-trigger ::-webkit-scrollbar-thumb {
        visibility: hidden
    }

    .scrollbar-trigger:hover ::-webkit-scrollbar-thumb {
        visibility: visible
    }
}



@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}



#blazor-error-ui {
    background: rgba(146,0,0,.75);
    color: var(--starr-light);
    top: 55px;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

    #blazor-error-ui .reload {
        color: white !important;
        text-decoration: underline !important;
    }


/* Override Telerik Window Size, excluding dialogs */
.k-window:not(.k-dialog):not(.custom-dialog) {
    width: 85vw !important;
    height: 85vh !important;
    max-width: 85vw !important;
    max-height: 85vh !important;
    min-width: 300px !important; 
    min-height: 200px !important; 
    transition: width 0.3s ease, height 0.3s ease;
}

    /* Ensure the window content adjusts properly, excluding dialogs */
    .k-window:not(.k-dialog) .k-window-content {
        overflow: auto;
    }

/* Optional: Center the window, excluding dialogs */
.k-window-wrapper:not(.k-dialog-wrapper):not(.custom-dialog) {
    display: flex;
    align-items: center;
    justify-content: center;
}


/* Adjust window size for smaller screens */
@media (max-width: 768px) {
    .k-window {
        width: 95vw !important;
        height: 90vh !important;
    }
}

@media (max-width: 480px) {
    .k-window {
        width: 100vw !important;
        height: 100vh !important;
    }
}